Cloud APIs
/- DrillPlan
Offset Well API
- Get well entities by ids
Create new or update existing well entities
Compute depths data for Activity, Risk, DrillingParameter and Survey by provided well guids
Delete well entities by ids
Delete well entities by well guids
Get well entities by well guids
Get QC rules for well entity
Scroll to fetch results of next page
Get well entities by ids
Security
(bearer and appkey) or (sauth_service_token and appkey)
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/wells/get-by-ids
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/wells/get-by-ids
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/wells/get-by-ids
- bearer + appkey
- sauth_service_token + appkey
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
'https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/wells/get-by-ids?page_size=9999' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string' \
-d '[
"string"
]'OK
Response
- text/plain
- application/json
- text/json
{
"current_matches": [
{
"activity_count": 0,
"risk_count": 0,
"casing_count": 0,
"formation_top_count": 0,
"hash_code": "string",
"rig_count": 0,
"section_count": 0,
"casings": [
{
"type": "string",
"od": 0.1,
"depth_from": 0.1,
"depth_to": 0.1,
"section_id": "string"
}
],
"formation_tops": [
{
"formation_name": "string",
"top_md": 0.1,
"top_tvd": 0.1
}
],
"rigs": [
{
"type": "string",
"name": "string",
"release_date": "2019-08-24T14:15:22Z"
}
],
"sections": [
{
"type": "string",
"size": 0.1,
"depth_from": 0.1,
"depth_to": 0.1,
"section_summary": "string",
"section_name": "string",
"section_tag": "string",
"section_id": "string"
}
],
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"along_hole_departure": 0.1,
"area": "string",
"clean_time": 0.1,
"completion_type": "string",
"country": "string",
"county": "string",
"data_source": "string",
"elevation_ground": 0.1,
"elevation_kb": 0.1,
"field": "string",
"geodetic_system": "string",
"well_guid": "string",
"is_offshore": true,
"location": {
"latitude": 0.1,
"longitude": 0.1
},
"max_inc": 0.1,
"name": "string",
"north_south": 0.1,
"spud_date": "2019-08-24T14:15:22Z",
"state": "string",
"target_formation": "string",
"total_depth": 0.1,
"total_time": 0.1,
"uwi": "string",
"well_type": "string",
"well_design": "string",
"well_purpose": "string",
"well_fluid": "string"
}
],
"current_match_count": 0,
"excluded_matches": [
{
"source": {
"activity_count": 0,
"risk_count": 0,
"casing_count": 0,
"formation_top_count": 0,
"hash_code": "string",
"rig_count": 0,
"section_count": 0,
"casings": [
{
"type": "string",
"od": 0.1,
"depth_from": 0.1,
"depth_to": 0.1,
"section_id": "string"
}
],
"formation_tops": [
{
"formation_name": "string",
"top_md": 0.1,
"top_tvd": 0.1
}
],
"rigs": [
{
"type": "string",
"name": "string",
"release_date": "2019-08-24T14:15:22Z"
}
],
"sections": [
{
"type": "string",
"size": 0.1,
"depth_from": 0.1,
"depth_to": 0.1,
"section_summary": "string",
"section_name": "string",
"section_tag": "string",
"section_id": "string"
}
],
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"along_hole_departure": 0.1,
"area": "string",
"clean_time": 0.1,
"completion_type": "string",
"country": "string",
"county": "string",
"data_source": "string",
"elevation_ground": 0.1,
"elevation_kb": 0.1,
"field": "string",
"geodetic_system": "string",
"well_guid": "string",
"is_offshore": true,
"location": {
"latitude": 0.1,
"longitude": 0.1
},
"max_inc": 0.1,
"name": "string",
"north_south": 0.1,
"spud_date": "2019-08-24T14:15:22Z",
"state": "string",
"target_formation": "string",
"total_depth": 0.1,
"total_time": 0.1,
"uwi": "string",
"well_type": "string",
"well_design": "string",
"well_purpose": "string",
"well_fluid": "string"
},
"violations": [
{
"fatal_violation": true,
"details": "string"
}
]
}
],
"total_match_count": 0,
"next_page_id": "string",
"action_succeeded": true,
"master_error": "string",
"dependent_action_errors": [
"string"
],
"action_key": "string"
}